echo "
 ▄▄▄▄▄▄▄ ▄▄▄     ▄▄▄     ▄▄▄▄▄▄ ▄▄   ▄▄ ▄▄▄▄▄▄ 
█       █   █   █   █   █      █  █▄█  █      █
█   ▄   █   █   █   █   █  ▄   █       █  ▄   █
█  █ █  █   █   █   █   █ █▄█  █       █ █▄█  █
█  █▄█  █   █▄▄▄█   █▄▄▄█      █       █      █
█       █       █       █  ▄   █ ██▄██ █  ▄   █
█▄▄▄▄▄▄▄█▄▄▄▄▄▄▄█▄▄▄▄▄▄▄█▄█ █▄▄█▄█   █▄█▄█ █▄▄█

==> Starting ollama
"

cmd="ollama serve";
eval "${cmd}" &>/dev/null & disown;

echo "==> Starting docker"
systemctl start docker

echo "==> Starting open-webui."
docker start -i open-webui

echo "==> Done. Visit http://localhost:3000 for a web-ui, http://localhost:11434 to check ollama status" 

read "Press enter to finish"
